org.apache.cayenne.configuration

## Class EmptyConfigurationNodeVisitor

- java.lang.Object
- - org.apache.cayenne.configuration.EmptyConfigurationNodeVisitor

- All Implemented Interfaces:
    ConfigurationNodeVisitor<Void>

      public class EmptyConfigurationNodeVisitor
      extends Object
      implements ConfigurationNodeVisitor<Void>

  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyConfigurationNodeVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `visitDataChannelDescriptor(DataChannelDescriptor channelDescriptor)`
    `Void` | `visitDataMap(DataMap dataMap)`
    `Void` | `visitDataNodeDescriptor(DataNodeDescriptor nodeDescriptor)`
    `Void` | `visitDbAttribute(DbAttribute attribute)`
    `Void` | `visitDbEntity(DbEntity entity)`
    `Void` | `visitDbRelationship(DbRelationship relationship)`
    `Void` | `visitEmbeddable(Embeddable embeddable)`
    `Void` | `visitEmbeddableAttribute(EmbeddableAttribute attribute)`
    `Void` | `visitObjAttribute(ObjAttribute attribute)`
    `Void` | `visitObjEntity(ObjEntity entity)`
    `Void` | `visitObjRelationship(ObjRelationship relationship)`
    `Void` | `visitProcedure(Procedure procedure)`
    `Void` | `visitProcedureParameter(ProcedureParameter parameter)`
    `Void` | `visitQuery(QueryDescriptor query)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyConfigurationNodeVisitor

          public EmptyConfigurationNodeVisitor()

  - ### Method Detail

    - #### visitDataChannelDescriptor

          public Void visitDataChannelDescriptor(DataChannelDescriptor channelDescriptor)

      Specified by:
        `visitDataChannelDescriptor` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitDataNodeDescriptor

          public Void visitDataNodeDescriptor(DataNodeDescriptor nodeDescriptor)

      Specified by:
        `visitDataNodeDescriptor` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitDataMap

          public Void visitDataMap(DataMap dataMap)

      Specified by:
        `visitDataMap` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitObjEntity

          public Void visitObjEntity(ObjEntity entity)

      Specified by:
        `visitObjEntity` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitDbEntity

          public Void visitDbEntity(DbEntity entity)

      Specified by:
        `visitDbEntity` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitEmbeddable

          public Void visitEmbeddable(Embeddable embeddable)

      Specified by:
        `visitEmbeddable` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitEmbeddableAttribute

          public Void visitEmbeddableAttribute(EmbeddableAttribute attribute)

      Specified by:
        `visitEmbeddableAttribute` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitObjAttribute

          public Void visitObjAttribute(ObjAttribute attribute)

      Specified by:
        `visitObjAttribute` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitDbAttribute

          public Void visitDbAttribute(DbAttribute attribute)

      Specified by:
        `visitDbAttribute` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitObjRelationship

          public Void visitObjRelationship(ObjRelationship relationship)

      Specified by:
        `visitObjRelationship` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitDbRelationship

          public Void visitDbRelationship(DbRelationship relationship)

      Specified by:
        `visitDbRelationship` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitProcedure

          public Void visitProcedure(Procedure procedure)

      Specified by:
        `visitProcedure` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitProcedureParameter

          public Void visitProcedureParameter(ProcedureParameter parameter)

      Specified by:
        `visitProcedureParameter` in interface `ConfigurationNodeVisitor<Void>`

    - #### visitQuery

          public Void visitQuery(QueryDescriptor query)

      Specified by:
        `visitQuery` in interface `ConfigurationNodeVisitor<Void>`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.